<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>Ticket</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Ticket";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ticket.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">ticket</a></div>
<h2 title="Class Ticket" class="title">Class Ticket</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ticket.Ticket</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="TicketAfternoon.html" title="class in ticket">TicketAfternoon</a></code>, <code><a href="TicketFamily.html" title="class in ticket">TicketFamily</a></code>, <code><a href="TicketGeneral.html" title="class in ticket">TicketGeneral</a></code>, <code><a href="TicketLaborable.html" title="class in ticket">TicketLaborable</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">Ticket</span>
extends java.lang.Object</pre>
<div class="block">Main class for ticket types for access to park</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>01 mar 2019</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#adults">adults</a></span></code></th>
<td class="colLast">
<div class="block">Total number of adults on the ticket</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#BASE_PRICE">BASE_PRICE</a></span></code></th>
<td class="colLast">
<div class="block">Set the base price for a ticket</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#children">children</a></span></code></th>
<td class="colLast">
<div class="block">Total number of children on the ticket</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.time.LocalDate</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#date">date</a></span></code></th>
<td class="colLast">
<div class="block">Date of the tickets for access to the park</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#description">description</a></span></code></th>
<td class="colLast">
<div class="block">Human description</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#discount">discount</a></span></code></th>
<td class="colLast">
<div class="block">Percentage discount applied</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_NO_ADULTS">ERROR_NO_ADULTS</a></span></code></th>
<td class="colLast">
<div class="block">Constants for error messages</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#id">id</a></span></code></th>
<td class="colLast">
<div class="block">Unique id for ticket</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MIN_PCT_PRICE">MIN_PCT_PRICE</a></span></code></th>
<td class="colLast">
<div class="block">Set the percentage for the calculation of the minimum price of the ticket</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nextIDTicket">nextIDTicket</a></span></code></th>
<td class="colLast">
<div class="block">Unique identifier counter</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="Person.html" title="class in ticket">Person</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#personList">personList</a></span></code></th>
<td class="colLast">
<div class="block">List of people included in the entry
 Each group of persons can have assigned discounts and supplements</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="Season.html" title="class in ticket">Season</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#season">season</a></span></code></th>
<td class="colLast">
<div class="block">Selected season</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="SourceEnum.html" title="enum in ticket">SourceEnum</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#source">source</a></span></code></th>
<td class="colLast">
<div class="block">Place of origin from which the ticket was issued</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_ADULTS">TEXT_ADULTS</a></span></code></th>
<td class="colLast">
<div class="block">Consts</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_CHILDREN">TEXT_CHILDREN</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_TICKET">TEXT_TICKET</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Ticket</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addPerson(int,int)">addPerson</a></span>&#8203;(int&nbsp;age,
         int&nbsp;height)</code></th>
<td class="colLast">
<div class="block">Add a new person to the ticket according to age</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addPerson(ticket.Person)">addPerson</a></span>&#8203;(<a href="Person.html" title="class in ticket">Person</a>&nbsp;person)</code></th>
<td class="colLast">
<div class="block">Add a new person to the ticket</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addPerson(ticket.PersonEnum)">addPerson</a></span>&#8203;(<a href="PersonEnum.html" title="enum in ticket">PersonEnum</a>&nbsp;group)</code></th>
<td class="colLast">
<div class="block">Add a new person to the ticket according to the group</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>private double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#basePrice()">basePrice</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the base price according to the season</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>private double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#baseTicketPrice()">baseTicketPrice</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the base price according to the type of entry and the season</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#check(boolean)">check</a></span>&#8203;(boolean&nbsp;showMessage)</code></th>
<td class="colLast">
<div class="block">Check if the group meets all the requirements</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#copyFromTicket(ticket.Ticket)">copyFromTicket</a></span>&#8203;(<a href="Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket)</code></th>
<td class="colLast">
<div class="block">Copy custom attributes into current ticket from param ticket</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#descriptionPerson()">descriptionPerson</a></span>()</code></th>
<td class="colLast">
<div class="block">Simple description of persons groups</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#descriptionPrice()">descriptionPrice</a></span>()</code></th>
<td class="colLast">
<div class="block">Simple description of total price</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#descriptionSeason()">descriptionSeason</a></span>()</code></th>
<td class="colLast">
<div class="block">Simple description of selected season</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAdults()">getAdults</a></span>()</code></th>
<td class="colLast">
<div class="block">Total number of adults</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getChildren()">getChildren</a></span>()</code></th>
<td class="colLast">
<div class="block">Total number of children</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>java.time.LocalDate</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDate()">getDate</a></span>()</code></th>
<td class="colLast">
<div class="block">Indicates date of the tickets for access to the park</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDescription()">getDescription</a></span>()</code></th>
<td class="colLast">
<div class="block">Simple description of the type of entry</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getId()">getId</a></span>()</code></th>
<td class="colLast">
<div class="block">Get id for ticket</div>
</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code><a href="Person.html" title="class in ticket">Person</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPerson(int)">getPerson</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Obtain the person from the list in the indicated position</div>
</td>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="Person.html" title="class in ticket">Person</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPersonList()">getPersonList</a></span>()</code></th>
<td class="colLast">
<div class="block">Get person list</div>
</td>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSerieId()">getSerieId</a></span>()</code></th>
<td class="colLast">
<div class="block">Get id with source serie for ticket</div>
</td>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#minPrice()">minPrice</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the min price for a ticket (one person)</div>
</td>
</tr>
<tr class="rowColor" id="i19">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#quantityByType()">quantityByType</a></span>()</code></th>
<td class="colLast">
<div class="block">Get quantities for adults and children</div>
</td>
</tr>
<tr class="altColor" id="i20">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#recalculatePersons()">recalculatePersons</a></span>()</code></th>
<td class="colLast">
<div class="block">Recalculates the number and types of people included in the ticket</div>
</td>
</tr>
<tr class="rowColor" id="i21">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removePerson(int)">removePerson</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Remove the indicated person from the list</div>
</td>
</tr>
<tr class="altColor" id="i22">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDate(java.time.LocalDate)">setDate</a></span>&#8203;(java.time.LocalDate&nbsp;date)</code></th>
<td class="colLast">
<div class="block">Set ticket entry date
 Establishes the season according to the informed date</div>
</td>
</tr>
<tr class="rowColor" id="i23">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSource(ticket.SourceEnum)">setSource</a></span>&#8203;(<a href="SourceEnum.html" title="enum in ticket">SourceEnum</a>&nbsp;source)</code></th>
<td class="colLast">
<div class="block">Set Place of origin from which the ticket was issued</div>
</td>
</tr>
<tr class="altColor" id="i24">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">
<div class="block">Description formatted for printing</div>
</td>
</tr>
<tr class="rowColor" id="i25">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#total()">total</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the total price of the ticket</div>
</td>
</tr>
<tr class="altColor" id="i26">
<td class="colFirst"><code>double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#totalByType()">totalByType</a></span>()</code></th>
<td class="colLast">
<div class="block">Get total price for adults and children</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="ERROR_NO_ADULTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_NO_ADULTS</h4>
<pre>private static final&nbsp;java.lang.String ERROR_NO_ADULTS</pre>
<div class="block">Constants for error messages</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#ticket.Ticket.ERROR_NO_ADULTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_ADULTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_ADULTS</h4>
<pre>private static final&nbsp;java.lang.String TEXT_ADULTS</pre>
<div class="block">Consts</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#ticket.Ticket.TEXT_ADULTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_CHILDREN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_CHILDREN</h4>
<pre>private static final&nbsp;java.lang.String TEXT_CHILDREN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#ticket.Ticket.TEXT_CHILDREN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_TICKET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_TICKET</h4>
<pre>private static final&nbsp;java.lang.String TEXT_TICKET</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#ticket.Ticket.TEXT_TICKET">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="BASE_PRICE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BASE_PRICE</h4>
<pre>private static final&nbsp;double BASE_PRICE</pre>
<div class="block">Set the base price for a ticket</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#ticket.Ticket.BASE_PRICE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MIN_PCT_PRICE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MIN_PCT_PRICE</h4>
<pre>private static final&nbsp;double MIN_PCT_PRICE</pre>
<div class="block">Set the percentage for the calculation of the minimum price of the ticket</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#ticket.Ticket.MIN_PCT_PRICE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="nextIDTicket">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nextIDTicket</h4>
<pre>private static&nbsp;int nextIDTicket</pre>
<div class="block">Unique identifier counter</div>
</li>
</ul>
<a id="adults">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>adults</h4>
<pre>private&nbsp;int adults</pre>
<div class="block">Total number of adults on the ticket</div>
</li>
</ul>
<a id="children">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>children</h4>
<pre>private&nbsp;int children</pre>
<div class="block">Total number of children on the ticket</div>
</li>
</ul>
<a id="date">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>date</h4>
<pre>private&nbsp;java.time.LocalDate date</pre>
<div class="block">Date of the tickets for access to the park</div>
</li>
</ul>
<a id="description">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>protected&nbsp;java.lang.String description</pre>
<div class="block">Human description</div>
</li>
</ul>
<a id="discount">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>discount</h4>
<pre>protected&nbsp;double discount</pre>
<div class="block">Percentage discount applied</div>
</li>
</ul>
<a id="id">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>private&nbsp;int id</pre>
<div class="block">Unique id for ticket</div>
</li>
</ul>
<a id="personList">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>personList</h4>
<pre>private final&nbsp;java.util.ArrayList&lt;<a href="Person.html" title="class in ticket">Person</a>&gt; personList</pre>
<div class="block">List of people included in the entry
 Each group of persons can have assigned discounts and supplements</div>
</li>
</ul>
<a id="season">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>season</h4>
<pre>private final&nbsp;<a href="Season.html" title="class in ticket">Season</a> season</pre>
<div class="block">Selected season</div>
</li>
</ul>
<a id="source">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>source</h4>
<pre>private&nbsp;<a href="SourceEnum.html" title="enum in ticket">SourceEnum</a> source</pre>
<div class="block">Place of origin from which the ticket was issued</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Ticket</h4>
<pre>public&nbsp;Ticket()</pre>
<div class="block">Constructor</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="addPerson(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPerson</h4>
<pre class="methodSignature">public final&nbsp;int&nbsp;addPerson&#8203;(int&nbsp;age,
                           int&nbsp;height)</pre>
<div class="block">Add a new person to the ticket according to age</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>age</code> - </dd>
<dd><code>height</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="addPerson(ticket.PersonEnum)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPerson</h4>
<pre class="methodSignature">public final&nbsp;int&nbsp;addPerson&#8203;(<a href="PersonEnum.html" title="enum in ticket">PersonEnum</a>&nbsp;group)</pre>
<div class="block">Add a new person to the ticket according to the group</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>group</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="addPerson(ticket.Person)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPerson</h4>
<pre class="methodSignature">private&nbsp;int&nbsp;addPerson&#8203;(<a href="Person.html" title="class in ticket">Person</a>&nbsp;person)</pre>
<div class="block">Add a new person to the ticket</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>person</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="basePrice()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basePrice</h4>
<pre class="methodSignature">private&nbsp;double&nbsp;basePrice()</pre>
<div class="block">Returns the base price according to the season</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>double</dd>
</dl>
</li>
</ul>
<a id="baseTicketPrice()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>baseTicketPrice</h4>
<pre class="methodSignature">private&nbsp;double&nbsp;baseTicketPrice()</pre>
<div class="block">Returns the base price according to the type of entry and the season</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>double</dd>
</dl>
</li>
</ul>
<a id="check(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>check</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;check&#8203;(boolean&nbsp;showMessage)</pre>
<div class="block">Check if the group meets all the requirements</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>showMessage</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="copyFromTicket(ticket.Ticket)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyFromTicket</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;copyFromTicket&#8203;(<a href="Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket)</pre>
<div class="block">Copy custom attributes into current ticket from param ticket</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ticket</code> - </dd>
</dl>
</li>
</ul>
<a id="descriptionPerson()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descriptionPerson</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;descriptionPerson()</pre>
<div class="block">Simple description of persons groups</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="descriptionPrice()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descriptionPrice</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;descriptionPrice()</pre>
<div class="block">Simple description of total price</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="descriptionSeason()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descriptionSeason</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;descriptionSeason()</pre>
<div class="block">Simple description of selected season</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="getAdults()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAdults</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getAdults()</pre>
<div class="block">Total number of adults</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getChildren()</pre>
<div class="block">Total number of children</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDate</h4>
<pre class="methodSignature">public&nbsp;java.time.LocalDate&nbsp;getDate()</pre>
<div class="block">Indicates date of the tickets for access to the park</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getDescription()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescription</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getDescription()</pre>
<div class="block">Simple description of the type of entry</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getId()</pre>
<div class="block">Get id for ticket</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getPerson(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerson</h4>
<pre class="methodSignature">public&nbsp;<a href="Person.html" title="class in ticket">Person</a>&nbsp;getPerson&#8203;(int&nbsp;index)</pre>
<div class="block">Obtain the person from the list in the indicated position</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getPersonList()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPersonList</h4>
<pre class="methodSignature">public&nbsp;java.util.ArrayList&lt;<a href="Person.html" title="class in ticket">Person</a>&gt;&nbsp;getPersonList()</pre>
<div class="block">Get person list</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of Person</dd>
</dl>
</li>
</ul>
<a id="getSerieId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSerieId</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getSerieId()</pre>
<div class="block">Get id with source serie for ticket</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="minPrice()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>minPrice</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;minPrice()</pre>
<div class="block">Returns the min price for a ticket (one person)</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>double</dd>
</dl>
</li>
</ul>
<a id="quantityByType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quantityByType</h4>
<pre class="methodSignature">public&nbsp;int[]&nbsp;quantityByType()</pre>
<div class="block">Get quantities for adults and children</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int[]</dd>
</dl>
</li>
</ul>
<a id="recalculatePersons()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>recalculatePersons</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;recalculatePersons()</pre>
<div class="block">Recalculates the number and types of people included in the ticket</div>
</li>
</ul>
<a id="removePerson(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removePerson</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;removePerson&#8203;(int&nbsp;index)</pre>
<div class="block">Remove the indicated person from the list</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - </dd>
</dl>
</li>
</ul>
<a id="setDate(java.time.LocalDate)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDate&#8203;(java.time.LocalDate&nbsp;date)</pre>
<div class="block">Set ticket entry date
 Establishes the season according to the informed date</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
</dl>
</li>
</ul>
<a id="setSource(ticket.SourceEnum)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSource</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSource&#8203;(<a href="SourceEnum.html" title="enum in ticket">SourceEnum</a>&nbsp;source)</pre>
<div class="block">Set Place of origin from which the ticket was issued</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - </dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Description formatted for printing</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="total()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>total</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;total()</pre>
<div class="block">Get the total price of the ticket</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="totalByType()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>totalByType</h4>
<pre class="methodSignature">public&nbsp;double[]&nbsp;totalByType()</pre>
<div class="block">Get total price for adults and children</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>double[]</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ticket.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
